# Class: Branch

## Branch()

Represents mapping between note and parent note

## Constructor

#### new Branch()

Source:
  - entities/branch.js, line 2

### Members

#### branchId

Source:
  - entities/branch.js, line 6

#### isExpanded

Source:
  - entities/branch.js, line 17

#### noteId

Source:
  - entities/branch.js, line 8

#### notePosition

Source:
  - entities/branch.js, line 13

#### parentNoteId

Source:
  - entities/branch.js, line 11

#### prefix

Source:
  - entities/branch.js, line 15

### Methods

#### (async) getNote() → {NoteShort}

Source:
  - entities/branch.js, line 21

##### Returns:

Type
  NoteShort

#### isTopLevel() → {boolean}

Source:
  - entities/branch.js, line 26

##### Returns:

true if it's top level, meaning its parent is root note

Type
  boolean